GaussianCopulaPolicy Struct Reference

`#include <ql/experimental/math/gaussiancopulapolicy.hpp>`

## Public Types

typedef int | initTraits

## Public Member Functions

| GaussianCopulaPolicy (const std::vector< std::vector< Real > > &factorWeights=std::vector< std::vector< Real > >(), const initTraits &dummy=int())
Size | numFactors () const
initTraits | getInitTraits () const
| returns a copy of the initialization arguments
Probability | cumulativeY (Real val, Size iVariable) const
Probability | cumulativeZ (Real z) const
| Cumulative probability of the idiosyncratic factors (all the same)
Probability | density (const std::vector< Real > &m) const
Real | inverseCumulativeY (Probability p, Size iVariable) const
Real | inverseCumulativeZ (Probability p) const
Real | inverseCumulativeDensity (Probability p, Size iFactor) const
Disposable< std::vector< Real > > | allFactorCumulInverter (const std::vector< Real > &probs) const

## Detailed Description

Gaussian Latent Model's copula policy. Its simplicity is a result of the convolution stability of the Gaussian distribution.

Examples
  BasketLosses.cpp.

## Member Function Documentation

## numFactors()

Size numFactors | ( |  | ) | const

Number of independent random factors. This is the only methos that ould stop the class from being static, it is needed for the MC generator construction.

## cumulativeY()

Probability cumulativeY | ( | Real | val,
|  | Size | iVariable
| ) |  | const

Cumulative probability of a given latent variable The iVariable parameter is the index of the requested variable.

## density()

Probability density | ( | const std::vector< Real > & | m | ) | const

Probability density of a given realization of values of the systemic factors (remember they are independent). In the normal case, since they all follow the same law it is just a trivial product of the same density. Intended to be used in numerical integration of an arbitrary function depending on those values.

## inverseCumulativeY()

Real inverseCumulativeY | ( | Probability | p,
|  | Size | iVariable
| ) |  | const

Returns the inverse of the cumulative distribution of the (modelled) latent variable (as indexed by iVariable). The normal stability avoids the convolution of the factors' distributions

## inverseCumulativeZ()

Real inverseCumulativeZ | ( | Probability | p | ) | const

Returns the inverse of the cumulative distribution of the idiosyncratic factor (identically distributed for all latent variables)

## inverseCumulativeDensity()

Real inverseCumulativeDensity | ( | Probability | p,
|  | Size | iFactor
| ) |  | const

Returns the inverse of the cumulative distribution of the systemic factor iFactor.